package org.wso2.carbon.device.mgt.mobile.impl.ios.apns;

import org.wso2.carbon.device.mgt.common.push.notification.NotificationStrategy;
import org.wso2.carbon.device.mgt.common.push.notification.PushNotificationConfig;
import org.wso2.carbon.device.mgt.common.push.notification.PushNotificationProvider;
import org.wso2.carbon.device.mgt.mobile.impl.ios.util.IOSPluginConstants;

/**
 * Implements the PushNotificationProvider for APNS.
 */
public class APNSBasedPushNotificationProvider implements PushNotificationProvider {

    @Override
    public String getType() {
        return IOSPluginConstants.PUSH_NOTIFICATION_TYPE;
    }

    @Override
    public NotificationStrategy getNotificationStrategy(PushNotificationConfig pushNotificationConfig) {
        return new APNSPushNotificationStrategy(pushNotificationConfig);
    }
}
